package fileAttente;

public class Poste {
    private int numero;
    private boolean disponible;

    public Poste(int numero){
        this.numero = numero;
        this.disponible = true;
    }

    public boolean isDisponible() {
        return disponible;
    }

    public void prendClient(Client c){
        if (this.disponible) {
            this.disponible = false;
            c.traiterDemande();
        } else throw new IllegalStateException("Comptoir "+numero+" deja occupe");
    }

    public void devientDisponible(){
        this.disponible = true;
    }
}