package immobilier;

public class Adresse {
    private int numero;
    private String nomRue;
    private int codePostal;
    private Ville ville;

    public Adresse(int numero, String nomRue, int codePostal, Ville ville) {
        this.numero = numero;
        this.nomRue = nomRue;
        this.codePostal = codePostal;
        this.ville = ville;
    }

    @Override
    public String toString() {
        return numero + " " + nomRue + "\n" + codePostal + " " +ville;
    }

    public Ville getVille() {
        return ville;
    }
}
